Morpho - Bug #5896

Get an error when user save a data package to net and local by using DOI
03/26/2013 01:58 PM - Jing Tao
Description

matt: However, | just changed the data package, and tried to save to net and local again with a DOI, and I got this error:

[10:56am] matt: "Morpho couldn't find the source data file doi:10.5072/FK22F7WKT in any location (the temp, incomplete, data
directories and the network) for copying"

[10:57am] benMac: that's no good. Jing - have you had problems with this before?

[10:57am] matt: and then the data isn't showing up in the morpho window any longer

[10:58am] matt: also, the newly saved data package didn't replace the original, so now the same data package is listed twice in my
open dialog.

History

#1 - 03/27/2013 02:32 PM - Redmine Admin
Original Bugzilla ID was 5896

#2 - 03/27/2013 04:42 PM - Jing Tao

- Status changed from New to Closed

In the local saving, | changed to use the D10bject.getDataSource().getOutputStream() to get the bytes rather than looking up a file by the identifier.
This can avoid some issues in the identifiers changing.

04/25/2024 1/1



http://www.tcpdf.org

